Engagement
List stored replies and comments
GET
/engagementAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
workspace_id*string
platform?string
account_id?string
publication_id?string
unread_only?boolean
archived?boolean
limit?integer
Format
int64Range
1 <= value <= 100Default
50offset?integer
Format
int64Range
0 <= valueDefault
0cursor?string
Opaque cursor for stable older-page pagination
Response Body
application/json
application/problem+json
curl -X GET "https://example.com/engagement?workspace_id=string"{ "$schema": "https://example.com/api/v1/schemas/EngagementPage.json", "items": [ { "account_username": "string", "archived_at": "2019-08-24T14:15:22Z", "attachments": [ { "alt_text": "string", "mime_type": "string", "name": "string", "thumbnail": "string", "type": "string", "url": "string" } ], "author_avatar_url": "string", "author_handle": "string", "author_name": "string", "author_remote_id": "string", "body": "string", "can_delete": true, "can_hide": true, "can_like": true, "can_reply": true, "can_unlike": true, "conversation_remote_id": "string", "created_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z", "edited_at": "2019-08-24T14:15:22Z", "hidden": true, "id": "string", "is_ours": true, "last_seen_at": "2019-08-24T14:15:22Z", "liked": true, "parent_remote_id": "string", "platform": "string", "provider_post_url": "string", "publication_excerpt": "string", "publication_id": "string", "publication_title": "string", "read_at": "2019-08-24T14:15:22Z", "remote_created_at": "2019-08-24T14:15:22Z", "remote_id": "string", "rendition_id": "string", "social_account_id": "string", "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "string" } ], "next_cursor": "string", "sync_states": [ { "error_code": "string", "error_message": "string", "id": "string", "last_success_at": "2019-08-24T14:15:22Z", "next_sync_at": "2019-08-24T14:15:22Z", "platform": "string", "rendition_id": "string", "social_account_id": "string", "status": "string" } ], "total": 0}